[Overview][Procedures and functions][Index] | Reference for unit 'Strings' (#rtl)

# strlicomp

Compare limited number of characters in 2 null-terminated strings, ignoring case.

## Declaration

Source position: strings.pp line 58

`function strlicomp(`
`str1: PChar;`
`str2: PChar;`
`l: SizeInt`
`):SizeInt;`

## Description

Compares maximum L characters of the null-terminated strings S1 and S2, ignoring case. The result is

- A negative SizeInt when S1<S2.
- 0 when S1=S2.
- A positive SizeInt when S1>S2.

For an example, see StrIComp

## Errors

None.

## See also

StrLComp |  | Compare limited number of characters of 2 null-terminated strings
StrComp |  | Compare 2 null-terminated strings, case sensitive.
StrIComp |  | Compare 2 null-terminated strings, case insensitive.